Skip to main content
GET
/
api
/
btc
/
ordinals
/
inscriptions
/
{id}
Get inscription metadata by inscription ID
curl --request GET \
  --url https://nexus.gerowallet.io/api/btc/ordinals/inscriptions/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "number": 123,
  "address": "<string>",
  "contentType": "<string>",
  "contentLength": 123,
  "fee": 123,
  "height": 123,
  "timestamp": 123,
  "value": 123,
  "sat": 123,
  "satpoint": "<string>",
  "parents": [
    "<string>"
  ],
  "children": [
    "<string>"
  ],
  "childCount": 123,
  "charms": [
    "<string>"
  ],
  "metaprotocol": "<string>",
  "rune": "<string>",
  "properties": "<unknown>"
}

Authorizations

Authorization
string
header
required

JWT Token Authentication

Path Parameters

id
string
required
Pattern: ^[0-9a-fA-F]{64}i\d+$

Query Parameters

network
enum<string>
Available options:
CARDANO_MAINNET,
CARDANO_PREPROD,
CARDANO_PREVIEW,
APEX_PRIME_MAINNET,
APEX_VECTOR_MAINNET,
APEX_VECTOR_TESTNET,
MIDNIGHT_MAINNET,
MIDNIGHT_PREPROD,
MIDNIGHT_PREVIEW,
BITCOIN_MAINNET,
BITCOIN_TESTNET4

Response

200 - */*

OK

id
string
number
integer<int64>
address
string
contentType
string
contentLength
integer<int64>
fee
integer<int64>
height
integer<int64>
timestamp
integer<int64>
value
integer<int64>
sat
integer<int64>
satpoint
string
parents
string[]
children
string[]
childCount
integer<int64>
charms
string[]
metaprotocol
string
rune
string
properties
any